#ifndef UKCCFRAME_H
#define UKCCFRAME_H
#include <QFrame>
#include "libukcc_global.h"

#define RADIUS_VALUE 6 /**< 圆角数值 */

class LIBUKCC_EXPORT UkccFrame : public QFrame {
    Q_OBJECT
public:
    enum BorderRadiusStyle {
        Top,   /**< 顶部有圆角 */
        None,  /**< 没有圆角 */
        Bottom, /**< 底部有圆角 */
        Around /**< 四周都有圆角 */
    };
    explicit UkccFrame(QWidget* parent = nullptr, BorderRadiusStyle style = Around);
    ~UkccFrame();
    void setRadiusType(BorderRadiusStyle style);

protected:
    void paintEvent(QPaintEvent *e);

private:
    BorderRadiusStyle m_radiusType;
};



#endif // UKCCFRAME_H
